import React, { ReactNode } from 'react';
import { Comparator } from './TableSortUtils';
export interface TableColumn<T> {
    title?: string;
    key: string;
    allowSort?: boolean;
    comparator?: Comparator;
    renderCell?: (row: T) => ReactNode;
}
interface PaginationProps {
    pagination?: boolean;
    rowsCount?: number;
    page?: number;
    handlePageChange?: (event: React.MouseEvent<HTMLButtonElement> | null, newPage: number) => void;
    rowsPerPage?: number;
    handlePageSizeChange?: (event: React.ChangeEvent<HTMLTextAreaElement | HTMLInputElement>) => void;
}
interface OrderingProps<T> {
    orderBy?: T;
}
export interface AdvancedTableProps<T> extends PaginationProps, OrderingProps<keyof T> {
    title?: string;
    rows: T[];
    columns: Array<TableColumn<T>>;
    controls?: () => JSX.Element;
    enumerated?: boolean;
    loading?: boolean;
    size?: 'small';
}
export declare function AdvancedTable<T>(props: AdvancedTableProps<T>): JSX.Element;
export {};
