import { ReactNode } from 'react';
import { NavbarItem, PAGE_TITLE } from './Navbar.utils';
import { NavbarItemWrapper } from './NavbarItems';
import { UserSectionProps } from './UserSection/UserSection.utils';
import { SecondLevelWhiteBarSharedProps } from './SecondLevelWhiteBar';
import { UseAnchorProps } from '../../utility';
export interface NavbarProps extends UserSectionProps, SecondLevelWhiteBarSharedProps, UseAnchorProps {
    pageTitle: PAGE_TITLE | string;
    secondLevelItems?: NavbarItem[];
    showNativeSecondLevelMenu?: boolean;
    customSecondLevelTitleNode?: ReactNode;
    customSecondLevelLinksSection?: JSX.Element;
    customSecondLevelMenu?: JSX.Element;
    mobileNavigationComponent?: JSX.Element;
    showTemporaryBanner?: boolean;
    blackBarItemWrapper?: NavbarItemWrapper;
    secondLevelItemWrapper?: NavbarItemWrapper;
    customHomeLink?: string;
}
export declare const Navbar: (props: NavbarProps) => JSX.Element;
