import { ComponentWithLinkProps } from '../../utility';
import { GeneralImageProps } from '../Image.utils';
export declare enum TextColor {
    LIGHT = "light",
    DARK = "dark"
}
export declare enum GradientColor {
    GREEN = "green",
    YELLOW = "yellow",
    BLUE = "blue",
    BLACK = "black"
}
export interface LinkWithThumbnailProps extends GeneralImageProps, ComponentWithLinkProps {
    linkPosition: LinkPosition;
    title: string;
    textColor?: TextColor;
    gradientColor?: GradientColor;
    className?: string;
    titleClassName?: string;
    overlayClassName?: string;
}
export declare enum LinkPosition {
    INSIDE_BOTTOM_LEFT = "inside-bottom-left",
    OUTSIDE_BOTTOM_CENTER = "outside-bottom-center"
}
export declare const LinkWithThumbnail: ({ link, openInNewTab, imageUrl, alt, title, linkPosition, gradientColor, className, titleClassName, overlayClassName, textColor }: LinkWithThumbnailProps) => JSX.Element;
