import { Team } from './teamsModel';
export declare enum AwardGroup {
    UNDERGRAD = "undergrad",
    OVERGRAD = "overgrad",
    HIGH_SCHOOL = "high_school",
    UNDEROVER = "underover",
    ALL = "all"
}
export declare enum WinnerTitle {
    GRAND_PRIZE_WINNER = "Grand Prize Winner",
    FIRST_RUNNER_UP = "First Runner Up",
    SECOND_RUNNER_UP = "Second Runner Up"
}
export declare enum WinnerGroup {
    UNDERGRAD = "undergrad",
    OVERGRAD = "overgrad",
    HIGH_SCHOOL = "high_school"
}
export type TeamByAwardGroup = {
    [key in WinnerGroup]: Team;
};
export type TeamsByAwardGroup = {
    [key in AwardGroup]?: Team[];
};
export type Winners = {
    [key in WinnerTitle]: TeamByAwardGroup;
};
export interface Award {
    title: string;
    winners: TeamsByAwardGroup;
    nominees: TeamsByAwardGroup;
}
export declare enum MedalTitle {
    GOLD = "gold",
    SILVER = "silver",
    BRONZE = "bronze"
}
export type Medalists = {
    [key in MedalTitle]: Team[];
};
export type Finalists = {
    [key in WinnerGroup]?: {
        top: Team[];
        nominees: Team[];
    };
};
export interface Results {
    special?: Award[];
    tracks?: Award[];
    finalists?: Finalists;
    winners?: Winners;
    medals?: Medalists;
}
